db_join.h File Reference
`#include "db_type.h"`

Go to the source code of this file.

## Data Structures

struct | db_join
struct | db_join_list

## Typedefs

typedef struct db_join | db_join_t
typedef struct db_join_list | db_join_list_t

## Functions

const char * | db_join_from_table (const db_join_t *join)
const char * | db_join_from_field (const db_join_t *join)
const char * | db_join_to_table (const db_join_t *join)
const char * | db_join_to_field (const db_join_t *join)
const db_join_t * | db_join_next (const db_join_t *join)
const db_join_t * | db_join_list_begin (const db_join_list_t *join_list)

## Typedef Documentation

## db_join_list_t

typedef struct db_join_list db_join_list_t

Definition at line 36 of file db_join.h.

## db_join_t

typedef struct db_join db_join_t

Definition at line 35 of file db_join.h.

## Function Documentation

## db_join_from_field()

const char * db_join_from_field | ( | const db_join_t * | join | ) |

extern

Get the from field name of a database join.

Parameters

  [in] | join | a db_join_t pointer.

Returns
  a character pointer or NULL on error or if no from field name has been set.

Definition at line 49 of file db_join.c.

## db_join_from_table()

const char * db_join_from_table | ( | const db_join_t * | join | ) |

extern

Get the from table name of a database join.

Parameters

  [in] | join | a db_join_t pointer.

Returns
  a character pointer or NULL on error or if no from table name has been set.

Definition at line 41 of file db_join.c.

## db_join_list_begin()

const db_join_t * db_join_list_begin | ( | const db_join_list_t * | join_list | ) |

extern

Return the first database join in a database join list.

Parameters

  [in] | join_list | a db_join_list_t pointer.

Returns
  a db_join_t pointer or NULL on error or if the list is empty.

Definition at line 85 of file db_join.c.

## db_join_next()

const db_join_t * db_join_next | ( | const db_join_t * | join | ) |

extern

Get the next database join connected in a database join list.

Parameters

  [in] | join | a db_join_t pointer.

Returns
  a db_join_t pointer or NULL on error or if there are no more database joins in the list.

Definition at line 73 of file db_join.c.

References db_join::next.

## db_join_to_field()

const char * db_join_to_field | ( | const db_join_t * | join | ) |

extern

Get the to field name of a database join.

Parameters

  [in] | join | a db_join_t pointer.

Returns
  a character pointer or NULL on error or if no to field name has been set.

Definition at line 65 of file db_join.c.

## db_join_to_table()

const char * db_join_to_table | ( | const db_join_t * | join | ) |

extern

Get the to table name of a database join.

Parameters

  [in] | join | a db_join_t pointer.

Returns
  a character pointer or NULL on error or if no to table name has been set.

Definition at line 57 of file db_join.c.